
BEGIN {
    die "GSDLHOME not set\n" unless defined $ENV{'GSDLHOME'};
    die "GSDLOS not set\n" unless defined $ENV{'GSDLOS'};
    unshift (@INC, "$ENV{'GSDLHOME'}/perllib");
    unshift (@INC, "$ENV{'GSDLHOME'}/perllib/cpan");
}

use Cwd;
require util;    

if (!defined $ENV{'GEXTMUSICSTAND'}) {
    
    $ENV{'GEXTMUSICSTAND'} = cwd();
    
    $ENV{'GEXTMUSICSTAND_INSTALLED'}
    = &util::filename_cat($ENV{'GEXTMUSICSTAND'},"installed");

    my $musicstand_bin
	= &util::filename_cat($ENV{'GEXTMUSICSTAND_INSTALLED'},$ENV{'GSDLOS'},"bin");
    my $musicstand_lib
	= &util::filename_cat($ENV{'GEXTMUSICSTAND_INSTALLED'},$ENV{'GSDLOS'},"lib");

    &util::envvar_append("PATH",$musicstand_bin);

    # For Linux (no harm is setting is this for MacOs)
    &util::envvar_append("LD_LIBRARY_PATH",$musicstand_lib);
    
    # For MacOs (no harm is setting is this for Linux etc)
    &util::envvar_append("DYLD_LIBRARY_PATH",$musicstand_lib);


    # GSDLEXTS always uses : as a separator
    if (defined $ENV{'GSDLEXTS'}) {
	$ENV{'GSDLEXTS'} .= ":music-stand" ;
    }
    else {
	$ENV{'GSDLEXTS'} .="music-stand";
    }

}
